using MoonWorks.Math;
using System.Runtime.InteropServices;

namespace MoonWorksComputeSpriteBatch
{
    // SPIR-V requires vectors to not cross 16-byte boundaries
    [StructLayout(LayoutKind.Explicit)]
    public struct VertexPositionTexcoord
    {
        [FieldOffset(0)]
        public Vector3 position;
        [FieldOffset(16)]
        public Vector2 texcoord;
        [FieldOffset(32)]
        public Vector4 color;
    }
}
